#include <cstdio>
#include <cstring>


#define rep(i,n) for(i=0;i<n;i++)

const char nums [][128] =
{
	"+---+"
	"|   |"
	"|   |"
	"+   +"
	"|   |"
	"|   |"
	"+---+",
	
	"    +"
	"    |"
	"    |"
	"    +"
	"    |"
	"    |"
	"    +",
	
	"+---+"
	"    |"
	"    |"
	"+---+"
	"|    "
	"|    "
	"+---+",
	
	"+---+"
	"    |"
	"    |"
	"+---+"
	"    |"
	"    |"
	"+---+",
	
	"+   +"
	"|   |"
	"|   |"
	"+---+"
	"    |"
	"    |"
	"    +",
	
	"+---+"
	"|    "
	"|    "
	"+---+"
	"    |"
	"    |"
	"+---+",
	
	"+---+"
	"|    "
	"|    "
	"+---+"
	"|   |"
	"|   |"
	"+---+",
	
	"+---+"
	"    |"
	"    |"
	"    +"
	"    |"
	"    |"
	"    +",
	
	"+---+"
	"|   |"
	"|   |"
	"+---+"
	"|   |"
	"|   |"
	"+---+",
	
	"+---+"
	"|   |"
	"|   |"
	"+---+"
	"    |"
	"    |"
	"+---+"
};

const char col[] =
" "
" "
"o"
" "
"o"
" "
" ";

const int MAX = 64;
char buff[MAX][MAX];

char getC(int n, int x, int y) {
	int i = y * 5 + x;
	return nums[n][i];
}
void clrBuff() {
	int i,j;
	rep(i,MAX)
		rep(j,MAX)
			buff[i][j] = ' ';
}
void printBuff(){
	int i,j;
	rep(i,7){
		rep(j,29){
			printf("%c",buff[i][j]);
		}
		printf("\n");
	}
	printf("\n");
	printf("\n");
}
void printToBuff(int pos, char c) {
	int i,j,off;
	switch(pos) {
		case 0: off = 0;
			break;
		
		case 1: off = 5+2;
			break;
		
		case 2: off = 2*5+2*2;
			break;
		case 3: off = 17;
			break;
		case 4: off = 17+7;
			break;
		
	};
	
	if(c==':'){
		rep(i,7)
			buff[i][off] = col[i];
	}
	else{
		rep(i,7)
			rep(j,5)
				buff[i][off+j] = getC(c-'0',j,i);
	}
}
int main(int argc, char* argv[])
{
	char line[128];
	while(1) {
		int i,j,k;
		scanf("%s",line);
		if(strcmp(line,"end")==0) break;
		clrBuff();
		rep(i,5) {
			printToBuff(i,line[i]);
		}
		printBuff();
	}
	printf("end\n");
	return 0;
}



















