#include <cstdio>
#include <cstring>
#include <cstdlib>


#define rep(i,n) for(i=0;i<n;i++)
#define MAX 20
#define MIN 1

void test(char* line);

int main(int argc, char* argv[])
{
	char line[MAX];
	
	while(true){
		if(!fgets(line,MAX,stdin)) break;
		if(line[0] == 'e' && line[1] == 'n' && line[2] == 'd') break;
		
		test(line);
		
	}
	
	return 0;
}

void test(char* line)
{
	long long fi = 0;
	long long se = 0;
	
	if(!((strlen(line)-1)==10 || (strlen(line)-1)==11))
	{
		printf("invalid\n");
		return;
	}
	
	if(line[6]!='/')
	{
		printf("invalid\n");
		return;
	}
	
	if(sscanf(line,"%ld/%ld",&fi,&se)!=2)
	{
		printf("invalid\n");
		return;
	}

	if( ((fi*10000LL+se)%11) != 0)
	{
		printf("invalid\n");
		return;
	}
	
	//znak 0
	if(line[0] == '1')
	{
		printf("invalid\n");
		return;
	}
	
	//znak 1
	if( !((line[1] >= '0') && (line[0] <= '9')) )
	{
		printf("invalid\n");
		return;
	}

	//znak 2
	if( !(line[2] == '0' || line[2] == '1' || line[2] == '5' || line[2] == '6'))
	{
		printf("invalid\n");
		return;
	}
	
	//znak 3
	if( !((line[3] >= '0') && (line[3] <= '9')) )
	{
		printf("invalid\n");
		return;
	}
	
	//znak 4
	if(!(line[4] == '0' || line[4] == '1' || line[4] == '2' || line[4] == '3'))
	{
		printf("invalid\n");
		return;
	}
	
	//znak 5
	if( !((line[5] >= '0') && (line[5] <= '9')) )
	{
		printf("invalid\n");
		return;
	}
	
	// test roku 53
	char sY[3];
	sY[0] = line[0]; sY[1] = line[1]; sY[2] = '\0';
	int Y = atoi(sY);
	
	if(Y<10) Y = 2000 +Y; 
	else Y = 1900 + Y;
	
	if ( !(Y >1919 && Y <2010) ) {
		printf("invalid\n");
		return;
	}
	
	if(se > 999 && Y < 1954)
	{
		printf("invalid\n");
		return;
	}
	
	
	// unor
	if( (line[2] == '0' || line[2] == '5') && line[3] == '2')
	{
		char d[3];
		d[0] = line[4]; d[1] = line[5]; d[2] = '\0';
		int day = atoi(d);
		if(day > 29)
		{
			printf("invalid\n");
			return;
		}
		
		if(day == 29)
		{
			d[0] = line[0]; d[1] = line[1]; d[2] = '\0';
			int year = atoi (d);
			if(year < 10) year = 2000+year;
			else year = 1900+ year;
			if( (year%4!=0)  )
			{
				printf("invalid\n");
				return;
			}
		}
	}
	
	// 31 dni na konci
	if( line[4] == '3' && line[5] == '1')
	{
		char m[3];
		m[0] = line[2]; m[1] = line[3]; m[2] = '\0';
		int month = atoi(m);
		if(month > 50) month = month -50;
		if(month == 2 || month == 4 || month == 6 || month == 9 || month == 11)
		{
			printf("invalid\n");
			return;
		}
	}
	
	if(line[2]>='5')
	{
		printf("girl\n");
	}
	else
	{
		printf("boy\n");
	}
}